package cn.iocoder.yudao.module.reward.api.reward.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 礼品兑换 Request VO")
public class RedeemRewardReqVO {
    @ApiModelProperty(value = "会员id", required = true)
    private Long memberId;

    @ApiModelProperty(value = "礼品id", required = true)
    private Long rewardId;

    @ApiModelProperty(value = "兑换数量", required = true)
    private Integer rewardCount;

    @ApiModelProperty(value = "兑换方式，同领取方式（1上门领取，2包邮到家，3邮寄到付）", required = true)
    private Integer redeemType;

    @ApiModelProperty(value = "兑换入口（后台，app，web）", required = true)
    private Integer entrance;

    @ApiModelProperty(value = "费用数字（两位小数）")
    private BigDecimal expenses;

    @ApiModelProperty(value = "费用币种（字典配置）")
    private Integer currency;

    @ApiModelProperty(value = "收件人姓名", required = true)
    private String recipientName;

    @ApiModelProperty(value = "收件人电话", required = true)
    private String recipientPhoneNum;

    @ApiModelProperty(value = "收件人地址", required = true)
    private String recipientAddress;

    @ApiModelProperty(value = "兑换人")
    private String redeemer;

    @ApiModelProperty(value = "兑换时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date redemptionTime;

    @ApiModelProperty(value = "快递公司")
    private String courierCompany;

    @ApiModelProperty(value = "快递单号")
    private String expressNo;

    @ApiModelProperty(value = "快递日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date expressDate;

    @ApiModelProperty(value = "快递寄出人")
    private String expressSender;

    @ApiModelProperty(value = "上传附件")
    private String annex;

    @ApiModelProperty(value = "备注")
    private String remark;
}
